// Fragment shader
#version 120
uniform sampler2D Texture0;
uniform sampler2D Texture1;
	
// --------------------
varying vec2 TexCoord0;
// --------------------
void main()
{
	vec4 texel0 = texture2D(Texture0, TexCoord0);
	vec4 texel1 = texture2D(Texture1, TexCoord0);
        vec3 color = abs(texel0.rgb - texel1.rgb);
        float gray = length(color.rgb);
	gl_FragColor = vec4(vec3(gray), 1.0);
}	
